
float4 color;
float4 ambient;

struct VS_DEFAULT_OUTPUT 
{
   float4 position: POSITION;
   //float3 normal: NORMAL;
   float2 texture_coord: TEXCOORD0;
   //float3 color_vs : COLOR;
};

float4 main(VS_DEFAULT_OUTPUT Out, uniform sampler2D u_texture) : COLOR
{
	return tex2D(u_texture, Out.texture_coord) * color;
		/*max(float4(ambient.x, ambient.y, ambient.z,0.0f), 
			float4(color.x * Out.color_vs.x, color.y * Out.color_vs.y, color.z * Out.color_vs.z, color.w)) ;*/
}